Bug 351811 - Missing font dependency
Missing font dependency
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: icewm (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Gilboa Davara
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-25 02:40 EDT by Rasmus Ory Nielsen
Modified: 2009-07-14 13:57 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.2.35-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:57:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Icewm without fonts (15.43 KB, image/png)
2007-10-25 02:44 EDT, Rasmus Ory Nielsen
no flags Details
Console output when starting icewm from the console (7.18 KB, text/plain)
2007-10-27 05:45 EDT, Rasmus Ory Nielsen
no flags Details

  None (edit)
Description Rasmus Ory Nielsen 2007-10-25 02:40:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); da-DK; rv:1.8.1.5) Gecko/20070718 Fedora/2.0.0.5-1.fc7 Firefox/2.0.0.5

Description of problem:
I use icewm and xrdp together. Icewm looks like the attached screenshot unless I install xorg-x11-fonts-truetype

Version-Release number of selected component (if applicable):
icewm-1.2.32-3.fc7

How reproducible:
Always


Steps to Reproduce:
1. yum install icewm
2. install xrdp, http://xrdp.sourceforge.net/
3.

Actual Results:
No fonts in title bars, menus etc. See screenshot.

Expected Results:
Fonts in menus etc.

Additional info:
Install xorg-x11-fonts-truetype to fix the problem.
Comment 1 Rasmus Ory Nielsen 2007-10-25 02:44:02 EDT
Created attachment 237081 [details]
Icewm without fonts
Comment 2 Gilboa Davara 2007-10-27 04:07:21 EDT
Rasmus,

Can you start the xrdp session with no WM (only console); start the icewm from
the console and post the console output?
AFAIR xrdp is based on Xvnc, that, least on my machine - seems to work just
fine. Can you confirm that other WM are working on xrdp?

- Gilboa
Comment 3 Rasmus Ory Nielsen 2007-10-27 05:45:03 EDT
Created attachment 240221 [details]
Console output when starting icewm from the console

Gilboa,

Thank you for your reply. I have attached the output from the console window.
I'm also using Xvnc. I can confirm that twm works fine.

Thanks,
Rasmus
Comment 4 Gilboa Davara 2007-10-27 12:52:11 EDT
Its seems that somehow the X's font configuration is completely busted.
Icewm simply cannot load the Xft fonts.

Can you try gnome-session and/or startkde from the same console?

- Gilboa
Comment 5 Rasmus Ory Nielsen 2007-10-27 14:51:52 EDT
Or perhaps the fonts are just missing? It's a very minimalistic installation.
Sorry I didn't make that clear from the start.

$ rpm -qa|grep -i font|sort
chkfontpath-1.10.1-1.1
fontconfig-2.4.2-3.fc7
libfontenc-1.0.4-2.fc7
libXfont-1.2.9-2.fc7
xorg-x11-fonts-base-7.1-3.fc7
xorg-x11-font-utils-7.1-5.fc7

I dont't have gnome or kde installed. So I did a gnome install (yum -y
groupinstall 'GNOME Desktop Environment') on a similar machine and it worked
fine. And after that icewm also worked. But I suspect that's just because some
fonts got installed together with gnome.

$ rpm -qa|grep -i font|sort
chkfontpath-1.10.1-1.1
fontconfig-2.4.2-3.fc7
fontconfig-2.4.2-3.fc7
ghostscript-fonts-5.50-16.fc7
libfontenc-1.0.4-2.fc7
libXfont-1.2.9-2.fc7
libXfontcache-1.0.4-1.fc7
urw-fonts-2.3-6.1.1
xorg-x11-fonts-base-7.1-3.fc7
xorg-x11-font-utils-7.1-5.fc7

After removing urw-fonts and ghostscript-fonts icewm looked as the screenshot again.

Thanks,
Rasmus
Comment 6 Gilboa Davara 2007-10-28 01:55:31 EDT
Seems that urw-fonts + ghostscript-fonts should be added to requires.

I'll add them to the next IceWM build.

- Gilboa
Comment 7 Rasmus Ory Nielsen 2007-10-28 06:59:29 EDT
Or perhaps xorg-x11-fonts-truetype? I don't know which font package is preferred
in a minimal installation.

Thanks,
Rasmus
Comment 8 Gilboa Davara 2008-01-14 11:35:34 EST
Sorry for the long delay. (Waited for a new upstream before pushing the fix)
Fixed in 1.2.35-1.
Comment 9 Fedora Update System 2008-01-15 17:51:26 EST
icewm-1.2.35-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update icewm'
Comment 10 Fedora Update System 2008-01-15 17:59:07 EST
icewm-1.2.35-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update icewm'
Comment 11 Gilboa Davara 2008-01-19 13:28:14 EST
Re-opening.
xorg-truetype was removed from devel. Looking for another solution.

- Gilboa
Comment 12 Fedora Update System 2008-01-27 02:12:01 EST
icewm-1.2.35-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2008-01-27 02:21:54 EST
icewm-1.2.35-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Bug Zapper 2008-05-14 10:51:27 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Gilboa Davara 2008-05-15 03:14:12 EDT
Can you change it to Fedora 9?
I'll try to find a solution before the next icewm release.

- Gilboa
Comment 16 Gilboa Davara 2008-05-15 03:16:39 EDT
... Forgot that I can do it.
Currently effects F8,9 and EL4/5.

- Gilboa
Comment 17 Bug Zapper 2009-06-09 19:07:22 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2009-07-14 13:57:41 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.